
import matplotlib.pyplot as plt
import numpy as np
from sklearn.svm import SVC
from sklearn.linear_model import LogisticRegression
from sklearn import tree
from sklearn.discriminant_analysis import LinearDiscriminantAnalysis
from sklearn.discriminant_analysis import QuadraticDiscriminantAnalysis

Z= np.genfromtxt('mycsv-quad.csv',delimiter=',')
X1=Z[:,0]
X2=Z[:,1]
Y=Z[:,2]
X=Z[:, 0:2]

I=Y>0.5
J=Y<0.5
plt.scatter(X1[I], X2[I], c='red', s=40, alpha=0.5)
plt.scatter(X1[J], X2[J], c='blue', s=40, alpha=0.5)

# clf=SVC(kernel='rbf', C=100, gamma=0.05)
# clf.fit(X, Y)

# clf = LogisticRegression(random_state=0, solver='lbfgs', C=10)
# clf.fit(X, Y)

# clf = LinearDiscriminantAnalysis()
# clf.fit(X, Y)

clf=SVC(kernel='poly', degree=2, C=10, gamma=1, coef0=1)
clf.fit(X, Y)

h=0.01
min_x = np.min(X[:, 0])
max_x = np.max(X[:, 0])
min_y = np.min(X[:, 1])
max_y = np.max(X[:, 1])
xx, yy = np.meshgrid(np.arange(min_x, max_x, h), np.arange(min_y, max_y, h))
Z = clf.decision_function(np.c_[xx.ravel(), yy.ravel()])
Z = Z.reshape(xx.shape)
plt.contour(xx, yy, Z, [0], cmap=plt.cm.Spectral, linewidths=2)


plt.show()
